// * This code is licensed under:
// * JSlovo License, Version 1.0
// * - for license details see http://jslovo.sourceforge.net/License.txt
// *
// * Copyright (c) 2005 by the S.Chekanov (chekanov@sdf.lonestar.org). 
// * All rights reserved.

package jslovo.ui;

import java.io.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import javax.swing.text.*;
import javax.swing.text.html.*;
import java.util.StringTokenizer;
import java.util.Vector;

// SQL stuff


public class PanelAnswerLinks extends JScrollPane {
    

    public JTextPane jArticleLinks; 
    private String newline = "\n";
    private ReadDB dbase = null;
    private StyledDocument doc;
    private Style style;
    private HTMLEditorKit htmlEditor;
 
    public PanelAnswerLinks() {  


    jArticleLinks = new JTextPane(){
    public void paintComponent(Graphics g) {
        Graphics2D g2 = (Graphics2D) g;
        g2.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
          RenderingHints.VALUE_TEXT_ANTIALIAS_ON);
        g2.setRenderingHint(RenderingHints.KEY_RENDERING,
          RenderingHints.VALUE_RENDER_QUALITY);
        super.paintComponent(g2);
    } }; 

    htmlEditor = new HTMLEditorKit();
    jArticleLinks.setEditorKit(htmlEditor);


    doc = (StyledDocument)jArticleLinks.getDocument();
    style = doc.addStyle("StyleName", null);


    // jArticle.setContentType("text/html"); // show as HTML 
    this.getViewport().add(jArticleLinks);
    Font  fon1= new Font("Arial", Font.BOLD, 14);
    jArticleLinks.setEditable( false );
    jArticleLinks.setFont(fon1);
    jArticleLinks.setText("");
    jArticleLinks.setCaretPosition(0);

  }


public void paintComponent(Graphics g) {
        Graphics2D g2 = (Graphics2D) g;
        g2.setRenderingHint(RenderingHints.KEY_TEXT_ANTIALIASING,
          RenderingHints.VALUE_TEXT_ANTIALIAS_ON);
        g2.setRenderingHint(RenderingHints.KEY_RENDERING,
          RenderingHints.VALUE_RENDER_QUALITY);
        super.paintComponent(g2);
    }



   public void makeLinks() {
// create report


           StringTokenizer st = new StringTokenizer( Global.allDescription );

         //  int ncount=st.countTokens(); // number of words
         //  String[] sword; sword = new String[ncount];
           String textlink="";
         // split this line
          while (st.hasMoreTokens()) { // make sure there is stuff to get
                  String sword=st.nextToken();

    //               System.out.println(sword);



                  if (sword.length()>2 &&
                      !sword.equals(Global.currentDic) &&
                      !sword.equals(Global.Word) &&
                      !sword.startsWith("COLOR=") &&
                      !sword.equals("FONT") &&
                      !sword.startsWith("<") &&
                      !sword.endsWith(">") &&
                      !sword.startsWith("--") &
                      !sword.equals("adj.") &
                      !sword.startsWith(".") ) {

                      String s1="";
                      sword="<a HREF=\""+sword+"\">"+sword+"</a>";
/*

                    for (int ii=0; ii<SpecialChar.length; ii++){
/*
                      // if it ends with it 
                      if ( sword.endsWith(SpecialChar[ii]) )  { 
                            s1=sword.substring(0,sword.length()-1);
                            s1="<a HREF=\""+s1+"\">"+s1+"</a>";
                            sword=s1+SpecialChar[ii];
                      // if it start with it
                      } 
                       if ( sword.startsWith(SpecialChar[ii]) )  {
                          s1=sword.substring(1,sword.length());
                          s1="<a HREF=\""+s1+"\">"+s1+"</a>";
                          sword=SpecialChar[ii]+s1;
                       }  
      
                         if ( !sword.endsWith(SpecialChar[ii]) && 
                               !sword.startsWith(SpecialChar[ii])) { 
                                sword="<a HREF=\""+sword+"\">"+sword+"</a>";
                           }        

                   } // for 
*/



           }         

          textlink=textlink+sword+" ";
          }

          jArticleLinks.setText( textlink );
          jArticleLinks.setCaretPosition(0);

    } // end




  } // end main class
 
 
