// * This code is licensed under:
// * JSlovo License, Version 1.0
// * - for license details see http://jslovo.sourceforge.net/License.txt
// *
// * Copyright (c) 2005 by the S.Chekanov (chekanov@sdf.lonestar.org). 
// * All rights reserved.

package jslovo.jdatabase;



import java.io.*;
import java.util.*;
import java.util.jar.*;

import jslovo.util.*;

// get word from zipped file
public class  dbslovoMake 
{

        private static int MAX_BUFFER = 4096;
        private static  final String newline="\n";
        // those are for separation of words in dictionary  
        private static  final String separat1="|";
        private static  final String separat2="\t";

        private static final  String newlinehtml="<br>";
        private static String dbdir="";  
        private static String dicname="";
        private static int  NoRows=0;
        private static long [] indexes;
        private static String inputFile="";
        private static String tmpdir="";
        private static String indexFile="";
        private static String zipFile="";   
        private static String infoFile="";
        private static String topIndexFile="";
        private static String dataFile="";
        private static String thisLine;
        public static String  RandF[]; 
	
	public static String curDir="";
        public static String InfoStatus="";
        public static String propertyFile="";
        public static String finalZipFile="";
        private static TreeSet rfilename;  
        private static String extraDir="";
        private static String extraDirInfo="";
 

// dicdir - absolute pass to input *.dic file
// dicname - name of  *.dic file
// dirpath - output path for   *.jdic file
  public static void SetDB(String dicdir, String dicname, String dirpath){ 


   SetStatusMonitor.nn=0;

   String curDir = System.getProperty("user.dir");
   inputFile=dicdir+dicname;
//   System.out.println("Input file:"+inputFile);

// if the extension dic
   dicname=StringUtil.replace(dicname,".dic", "");
// if the extension txt 
   dicname=StringUtil.replace(dicname,".txt", "");



   dbdir=dicname;
   topIndexFile=dicname+"/"+dicname+".idxtop";
   infoFile= dicname+"/"+dicname+".info";
   propertyFile=dicname+"/"+dicname+".property"; 

   extraDir=dicname+"/f";
   //extraDirInfo=dicname+"/extra/extrainfo.txt";


//   zipFile= curDir+File.separator+dicname+".jdic";
     zipFile=dicname+".jdic";


//   finalZipFile= curDir+File.separator+"dbase"+File.separator+dicname+".jdic";
     finalZipFile= dirpath+File.separator+dicname+".jdic"; 
   


// create temporary directory
   boolean succ1;
   File td = new File( dbdir );
   succ1=td.mkdir();
    if (!succ1) {
        System.out.println("Cannot make :" +  dbdir );
    }


    /*
// create directory with extra files
   File extratd = new File( extraDir );
   succ1=extratd.mkdir();
    if (!succ1){
        System.out.println("Cannot make :" +  extraDir);
    }


// create info file
    try {
        File file = new File( extraDirInfo );
        boolean succ2 = file.createNewFile();
        if (succ2) {
            // File did not exist and was created
        } else {
            System.out.println("Cannot make :" +  extraDirInfo);
        }
    } catch (IOException e) {
    }


*/

 
//   System.out.println("Analyse input..");
   try { 
    InfoStatus="Step 1 out of 5: Analysing file:"+newlinehtml+inputFile+newlinehtml; 
    SetStatusMonitor.nn=10;
    SetStatusMonitor.mess="wait..";
    Analyse();
    InfoStatus=InfoStatus+"Step 1 out of 5: No of rows: "+NoRows+newlinehtml;
    } catch (Exception e) { 
      InfoStatus=InfoStatus+"Cannot analyse this file"+newlinehtml;
 //     System.out.println("Cannot analyse this file"); 
      };

//   System.out.println("No of rows: "+NoRows);
// build info file

   try { 
   InfoStatus=InfoStatus+"Step 2 out of 5: Making description files"+newlinehtml;
   SetStatusMonitor.nn=15;
   SetStatusMonitor.mess="wait..";
   buildInfoFile();
   } catch (Exception e) { 
    InfoStatus=InfoStatus+"Cannot make Info File"+newlinehtml; 
 //   System.out.println("Cannot make Info File"); 
    };

// build main idex
  try {  
    InfoStatus=InfoStatus+"Step 3 out of 5: Making index files"+newlinehtml;
    SetStatusMonitor.nn=20; 
    SetStatusMonitor.mess="wait..";
    buildIndexFiles();
  } catch (Exception e) { 
    InfoStatus=InfoStatus+"Cannot make Index Files"+newlinehtml;
//   System.out.println("Cannot make Index Files"); 
    };

// zip file
  try {  
   InfoStatus=InfoStatus+"Step 4 out of 5: Compacting database"+newlinehtml;
   SetStatusMonitor.nn=98;
   SetStatusMonitor.mess="wait..";
   ZipDic();
  } catch (Exception e) { 
    InfoStatus=InfoStatus+"Cannot make ZIP file"+newlinehtml; 
//    System.out.println("Cannot make ZIP file"); 
    };

// remove directory
    InfoStatus=InfoStatus+"Step 5 out of 5: Clean temporary files"+newlinehtml;
    SetStatusMonitor.nn=0;
    SetStatusMonitor.mess="all done!";
    boolean success = deleteDir(td);
    if (!success) {
  //   System.out.println("cannot remove directory: "+dbdir);
     InfoStatus=InfoStatus+"cannot remove directory: "+dbdir+newlinehtml; 
    }

    InfoStatus=InfoStatus+"A new Database created. Check: "+ finalZipFile+newlinehtml; 
     
  // File (or directory) to be moved
    File file = new File(zipFile);
    
   // Destination directory
   // File dir = new File("dbase"+File.separator+zipFile);
     File dir = new File( finalZipFile );

           if (dir.exists()) {
            dir.delete();
            InfoStatus=InfoStatus+"<br>Note:<br>File:"+finalZipFile+newlinehtml+
           "ALREADY EXISTS. It was overwritten!<br>";
           }

    
// Move file to new directory
//  boolean succ = file.renameTo(new File(dir, file.getName()));
    boolean succ =file.renameTo( dir );
        if (!succ) {
        InfoStatus=InfoStatus+"Error in moving DB file: "+zipFile+newlinehtml; 
        System.out.println("Error in moving DB file: "+zipFile); 
        return;
        }

    InfoStatus=InfoStatus+"ALL DONE!"+newlinehtml;
    InfoStatus=InfoStatus+"Now restart JSlovo";

// set this DB for JSlovo GUI
//    Global.DBases(); 


// copy file 
//   try {
//      copyFile(new File(inputFile),new File(dataFile));
//      }
//    catch (Exception e) {
//      e.printStackTrace();
  }


    public static void copyFile(File in, File out) throws Exception {
    FileInputStream fis  = new FileInputStream(in);
    FileOutputStream fos = new FileOutputStream(out);
    byte[] buf = new byte[1024];
    int i = 0;
    while((i=fis.read(buf))!=-1) {
      fos.write(buf, 0, i);
      }
    fis.close();
    fos.close();
    }


// Deletes all files and subdirectories under dir.
    // Returns true if all deletions were successful.
    // If a deletion fails, the method stops attempting to delete and returns false.
    public static boolean deleteDir(File dir) {
        if (dir.isDirectory()) {
            String[] children = dir.list();
            for (int i=0; i<children.length; i++) {
                boolean success = deleteDir(new File(dir, children[i]));
                if (!success) {
                    return false;
                }
            }
       } 
// The directory is now empty so delete it
        return dir.delete();
}



// analyse this file

    public static void Analyse() throws Exception {

    String ch="";
    char   cha;
    TreeSet ts1 = new TreeSet(); // first level
    TreeSet ts2 = new TreeSet(); // second level
    TreeSet ts  = new TreeSet();  // all characters
    rfilename = new TreeSet(); // first level
 
    FileInputStream fis  = new FileInputStream(inputFile);
    BufferedReader in = new BufferedReader(new InputStreamReader(fis));

// cout lines 
     NoRows=0;
     while ((thisLine = in.readLine()) != null) {
             thisLine=thisLine.trim();
             int separation1=thisLine.indexOf( separat1 );
             int separation2=thisLine.indexOf( separat2 );

             int separation=-1; 
             if (separation1>0) separation=separation1; 
             if (separation2>0) separation=separation2; 
 
           if (separation>0 ) { 
                  ch=thisLine.substring(0,1);
                  ch=ch.toLowerCase();
                  cha=ch.charAt(0);
// only letters or numbers
        if (Character.isLetterOrDigit(cha) ){
	ts1.add( ch );
	ts.add( ch );
	}
// now put also second character to build 2-level tree
                  if (thisLine.length()>1) {
                  ch=thisLine.substring(1,2);
                  ch=ch.toLowerCase();
                  cha=ch.charAt(0);               
                  if (Character.isLetterOrDigit(cha) ){
			  ts2.add( ch );
			  ts.add( ch );
                   }
                  }
                  NoRows++;
             }
       }

// now add special symbols in special place
    ts.add( "$" );
    ts1.add( "$" );
    ts2.add( "$" );
    
//    System.out.println (ts); 
    in.close();


// make Top Index file  
     FileOutputStream fos = new FileOutputStream(topIndexFile);
     PrintWriter out = new PrintWriter(fos);
    

   // move to arraw  
   String[] charall = (String[])ts.toArray(new String[ts.size()]);
   String[] char1=    (String[])ts1.toArray(new String[ts1.size()]);
   String[] char2=    (String[])ts2.toArray(new String[ts2.size()]);
    
   // keep here absolute names of first and second node
   // RandF1 = new String[ts1.size() ];
   // RandF2 = new String[ts2.size() ];
   
// create map: unique identification
     
     String sii="";  
     int fcreated=0;
      HashMap hm1= new HashMap();
     
     for (int i=0; i<charall.length; i++) {
	sii=Integer.toString(i);
        out.println(charall[i]+" | "+sii); 
   
	 hm1.put(new String(charall[i]), new Integer(i));
	 
     	// create directory for this character 
    fcreated=0;
    for (int j=0; j<char1.length; j++) { 
	    if (charall[i].equals(char1[j])) {
             // only names which exists
	    File fnode = new File( extraDir+sii );
            boolean succ1=fnode.mkdir();
            if (!succ1) System.out.println("Cannot make :" +  extraDir+sii);
            fcreated=1;
	    }
    }
    
    
    /*
   // create subdirectories inside each note
   // make sure - do not create subdirectories
   // if they will be empty
    if ( fcreated == 1) {
	 for (int j=0; j<ts.size(); j++) {
            for (int jj=0; jj<ts2.size(); jj++) { 
	    if (charall[j].equals(char2[jj])) {
		 
	     String siii=Integer.toString(j);
             File fnode2 = new File( extraDir+sii+"/s"+siii);
             boolean succ2=fnode2.mkdir();
            if (!succ2) System.out.println("Cannot make :" + extraDir+sii+"/s"+siii );   
	    }}
    } }
 */	  
	    
	 
	 
     } // end loop over all directories
	
     int ii=ts.size();
     
    
    out.flush();
    out.close();

   
// filev name 
//    RandF = new String[ii];
 //   HashMap hm1= new HashMap();

// create data files for each character  
    //ii=0;
    //Iterator i2=ts.iterator();
   // while (i2.hasNext() ) {
   //     sii=Integer.toString(ii);
   //     Object element = i2.next();
  //      RandF[ii]=dbdir+"/s"+sii;

// System.out.println( RandF[ii] );
// remove old file 
   //    File old = new File(RandF[ii]+".data");
   //    old.delete();
// map
     //  hm1.put(element, new Integer(ii) );
      // ii++;
      // }


// fill the data files..
    FileInputStream fisa  = new FileInputStream(inputFile);
    BufferedReader ina = new BufferedReader(new InputStreamReader(fisa));

// make data files 
     while ((thisLine = ina.readLine()) != null) {


             int separation1=thisLine.indexOf( separat1 );
             int separation2=thisLine.indexOf( separat2 );

             int separation=-1;
             if (separation1>0) separation=separation1;
             if (separation2>0) separation=separation2;



             if (separation>0 &&  
                  separation<thisLine.length()) {

                  thisLine=thisLine.trim();
                  String word=thisLine.substring(0,separation);
                  String description=thisLine.substring(separation+1,thisLine.length());

                  word=word.trim();
                  description=description.trim();
                  word=word.toLowerCase();
                  cha=word.charAt(0);
		  ch=word.substring(0,1);
		  
	          if ( !Character.isLetterOrDigit(cha) ) ch="$";
		  int kk = ( (Integer)hm1.get(ch) ).intValue();
		
		  
		  int kk1=-1;
		  if (word.length()>1) {
		  char cha1=word.charAt(1);
                  String ch1=word.substring(1,2);
		  if ( !Character.isLetterOrDigit(cha1) ) ch1="$";
		  kk1 = ( (Integer)hm1.get(ch1) ).intValue();
		  }
                  
                  
		  
   //               RandomAccessFile raf = new RandomAccessFile(RandF[kk]+".data","rw");
    
                  // make proper path to the file based on first and second leter
		  String  frname=null;
                  if ( kk1>-1) {
                    frname= extraDir+Integer.toString(kk)+"/s"+Integer.toString(kk1); 
                  } else {
                  // for single simbols - top directory
                    frname= extraDir+"00";                 
                   }


                  // put information on this database into different file 
                      if (word.length()>8 && ch.equals("$")) {
                           String jinfo=word.substring(0,8); 
                           if ( jinfo.equals("?jslovo-")) {
                               frname=infoFile+"with_index";
                           } 
                       }


                   // make list with files		 
                   rfilename.add(frname);
 
		   // if more than 2 leters - build 2 layers
		   /*
		   if (kk1 > -1) {
                  frname= extraDir+Integer.toString(kk)+ 
		  "/s"+Integer.toString(kk1)+"/data.d"; }
		*/		  
		//  System.out.println(frname+" "+cha);
		 
		  File fnew = new File(frname);
                  RandomAccessFile raf = new RandomAccessFile(frname,"rw");
                  long fileLeng = fnew.length();
                  raf.seek(fileLeng);
                  // make sure that the first line is empty 
                 if (fileLeng<1) raf.write(newline.getBytes("UTF-8")); 
          //     put the defintitions here 
                 String ss=word+" | "+description+newline;
                 raf.write(ss.getBytes("UTF-8"));
                 raf.close();
              }
       }
       ina.close();


// make property file 
   try {
   FileOutputStream prop1 = new  FileOutputStream(propertyFile);
   PrintStream ps1 = new PrintStream(prop1);
   ps1.println("os.name "+System.getProperty("os.name"));
   ps1.println("os.arch "+System.getProperty("os.arch")); 
   ps1.println("os.version "+System.getProperty("os.version"));
   ps1.println("java.vendor "+System.getProperty("java.vendor"));
   ps1.println("java.version "+System.getProperty("java.version"));
   ps1.println("java.specification.name "+System.getProperty("java.specification.name"));
   ps1.println("java.specification.vendor "+System.getProperty("java.specification.vendor"));
   ps1.println("java.specification.version "+System.getProperty("java.specification.version"));
   ps1.println("java.vm.name "+System.getProperty("java.vm.name"));
   ps1.println("java.vm.version "+System.getProperty("java.vm.version"));
   ps1.println("java.vm.specification.name "+System.getProperty("java.vm.specification.name"));
   ps1.println("java.vm.specification.vendor "+System.getProperty("java.vm.specification.vendor"));
   ps1.println("java.vm.specification.version "+System.getProperty("java.vm.specification.version"));
   ps1.println("file.separator "+System.getProperty("file.separator"));
   ps1.println("line.separator "+System.getProperty("line.separator"));
   ps1.println("path.separator "+System.getProperty("path.separator"));
   ps1.close();} catch (IOException e){
        System.out.println("Cannot make propery file: "+e); }



    }



/** creats info file for all data files. 
***/

        private static void buildInfoFile()throws Exception { 
// create info file
//               System.out.println("Create info file: "+infoFile);

// this supports Unicode!
  // make proper path to the file based on first and second leter
             FileInputStream fiss  = new FileInputStream(infoFile+"with_index");
             BufferedReader file = new BufferedReader(new InputStreamReader(fiss));


               FileOutputStream info1 = new  FileOutputStream(infoFile);
               PrintStream pstop1 = new PrintStream(info1);
               String st="";

               pstop1.println(NoRows); // put number of raws

 
               while(  (st = file.readLine())!=null) { 
                     pstop1.println(st);

/*
                int separation=st.indexOf("|");
                int Slength=st.length();

                if (separation>0 && separation<Slength ) {
                String word=st.substring(0,separation-1);
                String description=st.substring(separation+1,Slength);
// get info file
                if (word.equals("?jslovo-shortname") ||
                    word.equals("?jslovo-fullname") ||
                    word.equals("?jslovo-info")   )  pstop1.println(word+" | "+description);
                 }
*/
                } // end while
               pstop1.close();
               file.close();


       }







 /** creats index table for each DB file. You should do it once, and rather store index
        table in file then. This method has high peak memory usage but it is
       easy to optimize it.*/
        private static void buildIndexFiles()throws Exception
        {


                RandF = (String[])rfilename.toArray(new String[rfilename.size()]);


// get index for  each file 
               for (int i=0; i<RandF.length; i++) {

                     if( i==(int)(RandF.length*0.1) ) { 
                     InfoStatus=InfoStatus+"10%";
                     SetStatusMonitor.nn=25;
                     }

                     if( i==(int)(RandF.length*0.2) ) {
                     InfoStatus=InfoStatus+" 20%";
                     SetStatusMonitor.nn=30;
                     }

                     if( i==(int)(RandF.length*0.3) ) {
                     InfoStatus=InfoStatus+" 30%";
                     SetStatusMonitor.nn=37;
                     }

                     if( i==(int)(RandF.length*0.4) ) {
                     InfoStatus=InfoStatus+" 40%";
                     SetStatusMonitor.nn=48;
                     }


                     if( i==(int)(RandF.length*0.5) ) {
                       InfoStatus=InfoStatus+" 50%";
                       SetStatusMonitor.nn=58;
                     }

                     if( i==(int)(RandF.length*0.6) ) {
                       InfoStatus=InfoStatus+" 60%"; 
                        SetStatusMonitor.nn=65;
                      }

                     if( i==(int)(RandF.length*0.7) ) {
                       InfoStatus=InfoStatus+" 70%";
                       SetStatusMonitor.nn=72;
                     }

                     if( i==(int)(RandF.length*0.8) ) {
                       InfoStatus=InfoStatus+" 80%";
                       SetStatusMonitor.nn=79;
                     }

                     if( i==(int)(RandF.length*0.9) ) {
                       InfoStatus=InfoStatus+" 90%";
                       SetStatusMonitor.nn=88;
                     }

                     if( i==(int)(RandF.length)-1 )   {
                       InfoStatus=InfoStatus+" 100%"+newlinehtml; 
                       SetStatusMonitor.nn=95;
                     }

                     buildIndex(RandF[i]); 
               }
       } 





       /** creats index table. You should do it once, and rather store index
        table in file then. This method has high peak memory usage but it is
       easy to optimize it.*/
        private static void buildIndex(String sindex )throws Exception
        {


                indexFile=sindex+".idx";
                RandomAccessFile file = new RandomAccessFile(sindex,"r");

                List temp = new LinkedList();
                String word="";
                String description="";
                long nn=0;
//              System.out.println("Create index file: "+indexFile);

                String st;
                ArrayList Pointer = new ArrayList();
                long p = file.getFilePointer();
                Pointer.add( new Long(p) );

                int mm=0;
                while((st = file.readLine())!=null)
                {
                       p = file.getFilePointer();
                       Pointer.add( new Long(p) );
                      mm++;
                };
                file.close();


// now read again using the standard method which supports unicode
// previous method did not support unicode!
    FileInputStream fiss  = new FileInputStream(sindex);
    BufferedReader file1 = new BufferedReader(new InputStreamReader(fiss));
    mm=0;
    while(  (st = file1.readLine())!=null) {
         //  System.out.println(st);
         //  System.out.println( Pointer.get(mm) );
             p=( (Long)Pointer.get(mm) ).longValue();
             temp.add(new temp_data(st,p) );
             mm++;
    }
    file1.close(); 


/// make index file
    FileOutputStream indx1 = new  FileOutputStream(indexFile);
    PrintStream pstop = new PrintStream(indx1);


// do sort
                Collections.sort(temp,new temp_cmp());
//                indexes = new long[temp.size()];


// put first empty line
                pstop.print(newline);
                nn=0;
                int i=0;
// then put the rest
                for(Iterator I=temp.iterator();I.hasNext();i++)
                {
                temp_data tt = ((temp_data)I.next());

                int separation=tt.text.indexOf("|");
                int Slength=tt.text.length();

                if (separation>0 && separation<Slength ) {
                word=tt.text.substring(0,separation-1);
                description=tt.text.substring(separation+1,Slength);
// put all staff now  
                      pstop.println(word+" | "+tt.starts_at);
                      nn++;
                 }
//               System.out.println("indexing :"+tt.text+" ["+tt.starts_at+"]");
//               indexes[i]=tt.starts_at;
                };
   pstop.close();

    }



     private static void ZipDic()throws Exception
   {

       Vector FileList = new Vector();

     //  FileList.addElement(extraDirInfo);

       FileList.addElement(infoFile);
       FileList.addElement(topIndexFile);
       FileList.addElement(propertyFile);
       for (int i=0; i<RandF.length; i++) {

// do not put unessary info to the final file
              if (!RandF[i].equals(infoFile+"with_index")) { 
                  FileList.addElement(RandF[i]);
                  FileList.addElement(RandF[i]+".idx");
              }

//             System.out.println("Prepare files:"+RandF[i]+".data  "+RandF[i]+".idx"); 
        }

   // Create a buffer for reading the files
    byte[] buf = new byte[MAX_BUFFER];
//    System.out.println("Create zipped file: "+zipFile);
  
   try {
    JarOutputStream out = new JarOutputStream(new FileOutputStream(zipFile));
    
        // Compress the files
            for (int i=0; i<FileList.size();  i++) {

        //   System.out.println("Put file "+(String)FileList.elementAt(i)+"  to "+zipFile);
            FileInputStream in = new FileInputStream( (String)FileList.elementAt(i)   );
// Add ZIP entry to output stream.
            out.putNextEntry(new JarEntry( (String)FileList.elementAt(i)    ));
    
            // Transfer bytes from the file to the ZIP file
            int len;
            while ((len = in.read(buf)) > 0) {
                out.write(buf, 0, len);
            }
    
            // Complete the entry
            out.closeEntry();
            in.close();
        }

// Complete the ZIP file
        out.close();
// remove index file 
    } catch (IOException e) {
     //    System.out.println("Cannot make zipped file: "+zipFile);
    }


    }




        private static class temp_data
        {
                public final String text;
                public final long starts_at;

                public temp_data(String t, long l)
                {
                        text = t;
                        starts_at = l;
                };
        };
        private static class temp_cmp implements Comparator
        {
                public int compare(Object o1,Object o2)
                {
                        return ((temp_data)o1).text.compareTo(
                                        ((temp_data)o2).text);
                };
        };









 }



