// * This code is licensed under:
// * JSlovo License, Version 1.0
// * - for license details see http://jslovo.sourceforge.net/License.txt
// *
// * Copyright (c) 2005 by the S.Chekanov (chekanov@sdf.lonestar.org). 
// * All rights reserved.

package jslovo.ui;

import java.util.*;
import java.lang.*;

import jslovo.jdatabase.dbslovoSearch;
import jslovo.util.*;             

public class ReadDB {

 

     /**
 	 * Return info about the dictionary
 	 * @param sfile 
 	 * @return array with short, long and info
 	 */
     public static String[] info(String sfile) {

//      System.out.println("Input file: "+sfile); 
    	 dbslovoSearch.SetDB( sfile, Global.DBdir ); 
      return  dbslovoSearch.GetInfo();

     }


     /**
      * Quary database
      * @param idic
      * @param selectSubstring
      */
     public static void query( int idic, boolean selectSubstring ) {

       

       if (selectSubstring == false) {
         String DicTable=(String)Global.dbbases.get(idic); // table/dbase name
         dbslovoSearch.SetDB(DicTable, Global.DBdir);
         Global.currentDic=(String)Global.dbbases_alias.get(idic); // table/dbase
         String Myword=Global.Word.toLowerCase();
         Global.word=Myword;
         try {
         Global.descriptionTMP=dbslovoSearch.FindExact(Global.word); 
         } catch (Exception e) {   System.out.println("cannot do search"); return;
         }
       }



// similar words
      if (selectSubstring == true) {
         String DicTable=(String)Global.dbbases.get(idic); // table/dbase name
         dbslovoSearch.SetDB(DicTable,  Global.DBdir);

//         System.out.println("Debug: Look at DicTable="+DicTable);

         Global.currentDic=(String)Global.dbbases_alias.get(idic); // table/dbase

//         System.out.println("Debug: currentDic="+Global.currentDic);

         String Myword=Global.Word.toLowerCase();
         Global.word=Myword;
           try {
           dbslovoSearch.FindNotExact(Myword);
           } catch (Exception e) {   System.out.println("cannot do search"); return;
           }

// another method
       for (int j=0; j < dbslovoSearch.CandidWord.size(); j++) {
//            System.out.println("[" + j + "] - " + dbslovoSearch.CandidWord.get(j));

            String s= dbslovoSearch.CandidWord.get(j).toString();

//            System.out.println("Debug: found="+s);

            int in1=s.indexOf("|1|");
            String s1=s.substring(0,in1);
            s1=s1.trim();

            // real index 
            int in2=s.indexOf("|2|");
            String s2=s.substring(in1+4,in2);
            s2=s2.trim();

            // DIC name
            int in3=s.indexOf("|3|");
            String s3=s.substring(in2+4,in3);
            s3=s3.trim();


            // top index 
            String s4=s.substring(in3+4,s.length());
            s4=s4.trim();


            if (s1.length()>0 && s2.length()>0 && s3.length()>0 && s4.length()>0 ){ 
              Global.Cand.add(s1);
            // real index
              Global.CandIndex.add(s2); 
            // DIC name
              Global.CandDic.add(s3);
            // DIC Alias
              Global.CandDicAlias.add(Global.currentDic);  
            // top index 
              Global.CandTopIndex.add(s4);


            }


            }


       }







       }









}    // class

